<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/soc/include/soc_internal.h File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_9b3c509d59256edccfca8ec85704cf01.html">soc</a></li><li class="navelem"><a class="el" href="dir_b5c6a58cc167b8776be2706a79e1c14a.html">include</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#define-members">Macros</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">soc_internal.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is an internal header file used by the SOC module and should not be included directly by the applications.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;ti/common/sys_common.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/HwiP.h&gt;</code><br />
<code>#include &lt;<a class="el" href="reg__rcm_8h.html">ti/drivers/soc/include/reg_rcm.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="reg__toprcm_8h.html">ti/drivers/soc/include/reg_toprcm.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="reg__gpcfg_8h.html">ti/drivers/soc/include/reg_gpcfg.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="reg__dssreg_8h.html">ti/drivers/soc/include/reg_dssreg.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_o_c___hw_attrib__t.html">SOC_HwAttrib_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Hardware Atrributes.  <a href="struct_s_o_c___hw_attrib__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_o_c___sys_interrupt_listener__t.html">SOC_SysInterruptListener_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC System Interrupt Listener.  <a href="struct_s_o_c___sys_interrupt_listener__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_o_c___sys_interrupt__t.html">SOC_SysInterrupt_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC System Interrupt.  <a href="struct_s_o_c___sys_interrupt__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_s_o_c___m_c_b__t.html">SOC_MCB_t</a></td></tr>
<tr class="memdesc:"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Master Control Block.  <a href="struct_s_o_c___m_c_b__t.html#details">More...</a><br /></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gabb65622568942ecc655469a16062c55b"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n.html#gabb65622568942ecc655469a16062c55b">SOC_MAX_SYSTEM_INTERRUPT</a>&#160;&#160;&#160;4U</td></tr>
<tr class="memdesc:gabb65622568942ecc655469a16062c55b"><td class="mdescLeft">&#160;</td><td class="mdescRight">The SOC Driver is responsible for the registration and handling of system interrupts. It then provides applications and drivers to register their interrupts which are then invoked in the order of registration. The definition is the maximum number of system interrupts which are supported by this model. <br /></td></tr>
<tr class="separator:gabb65622568942ecc655469a16062c55b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9b73e1eaec0a0528592c6a03f0d8373f"><td class="memItemLeft" align="right" valign="top">
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_e_f_i_n_i_t_i_o_n.html#ga9b73e1eaec0a0528592c6a03f0d8373f">SOC_MAX_LISTEN_TABLE</a>&#160;&#160;&#160;4U</td></tr>
<tr class="memdesc:ga9b73e1eaec0a0528592c6a03f0d8373f"><td class="mdescLeft">&#160;</td><td class="mdescRight">This definition exposes the maximum number of listeners which can be attached to a system interrupt. <br /></td></tr>
<tr class="separator:ga9b73e1eaec0a0528592c6a03f0d8373f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga40305c7d9c333ec21d0581923b1558d1"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_s_o_c___hw_attrib__t.html">SOC_HwAttrib_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga40305c7d9c333ec21d0581923b1558d1">SOC_HwAttrib</a></td></tr>
<tr class="memdesc:ga40305c7d9c333ec21d0581923b1558d1"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Hardware Atrributes.  <a href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga40305c7d9c333ec21d0581923b1558d1">More...</a><br /></td></tr>
<tr class="separator:ga40305c7d9c333ec21d0581923b1558d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab3a54356001da395bfe105bb76375305"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_s_o_c___sys_interrupt_listener__t.html">SOC_SysInterruptListener_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab3a54356001da395bfe105bb76375305">SOC_SysInterruptListener</a></td></tr>
<tr class="memdesc:gab3a54356001da395bfe105bb76375305"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC System Interrupt Listener.  <a href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab3a54356001da395bfe105bb76375305">More...</a><br /></td></tr>
<tr class="separator:gab3a54356001da395bfe105bb76375305"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0982c29d2651b5a16cfccc8e64aa306c"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_s_o_c___sys_interrupt__t.html">SOC_SysInterrupt_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0982c29d2651b5a16cfccc8e64aa306c">SOC_SysInterrupt</a></td></tr>
<tr class="memdesc:ga0982c29d2651b5a16cfccc8e64aa306c"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC System Interrupt.  <a href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga0982c29d2651b5a16cfccc8e64aa306c">More...</a><br /></td></tr>
<tr class="separator:ga0982c29d2651b5a16cfccc8e64aa306c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac0a587aecf0bd4b21d423635f12cfb1d"><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="struct_s_o_c___m_c_b__t.html">SOC_MCB_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a></td></tr>
<tr class="memdesc:gac0a587aecf0bd4b21d423635f12cfb1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">SOC Master Control Block.  <a href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">More...</a><br /></td></tr>
<tr class="separator:gac0a587aecf0bd4b21d423635f12cfb1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab552b628915d3eeae9497435814f4874"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga71d7f2f81c629f7ff8bafc9f69aacc48">SOC_TranslateAddr_LUT_Type_e</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab552b628915d3eeae9497435814f4874">SOC_TranslateAddr_LUT_Type</a></td></tr>
<tr class="memdesc:gab552b628915d3eeae9497435814f4874"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enumeration for address translation lookup table.  <a href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab552b628915d3eeae9497435814f4874">More...</a><br /></td></tr>
<tr class="separator:gab552b628915d3eeae9497435814f4874"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga851accb806706fcc89f4bd13a3b31d66"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga851accb806706fcc89f4bd13a3b31d66">SOC_deviceInit</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a> *ptrSOCDriverMCB, int32_t *errCode)</td></tr>
<tr class="separator:ga851accb806706fcc89f4bd13a3b31d66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadc65958c8fd8f097ec0c1399f55eb412"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gadc65958c8fd8f097ec0c1399f55eb412">SOC_deviceDeinit</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gac0a587aecf0bd4b21d423635f12cfb1d">SOC_DriverMCB</a> *ptrSOCDriverMCB, int32_t *errCode)</td></tr>
<tr class="separator:gadc65958c8fd8f097ec0c1399f55eb412"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9531663baac82acd86aaa33f0c883df1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9531663baac82acd86aaa33f0c883df1">SOC_SystemISR</a> (uintptr_t arg)</td></tr>
<tr class="separator:ga9531663baac82acd86aaa33f0c883df1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga54082d44288a094e19c47caab2dcdd01"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab552b628915d3eeae9497435814f4874">SOC_TranslateAddr_LUT_Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga54082d44288a094e19c47caab2dcdd01">SOC_getInAddr_LUTType</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga14e1cbcdd3d2145c449ce854ff5b9021">SOC_TranslateAddr_Dir</a> direction)</td></tr>
<tr class="separator:ga54082d44288a094e19c47caab2dcdd01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga64922a2f200caec6a0e1b5da9154909a"><td class="memItemLeft" align="right" valign="top"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab552b628915d3eeae9497435814f4874">SOC_TranslateAddr_LUT_Type</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___s_o_c___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga64922a2f200caec6a0e1b5da9154909a">SOC_getOutAddr_LUTType</a> (<a class="el" href="group___s_o_c___d_r_i_v_e_r___e_x_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga14e1cbcdd3d2145c449ce854ff5b9021">SOC_TranslateAddr_Dir</a> direction)</td></tr>
<tr class="separator:ga64922a2f200caec6a0e1b5da9154909a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This is an internal header file used by the SOC module and should not be included directly by the applications. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div></div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
